RDKit: RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE > Class Template Reference

`#include <Feature.h>`

## Public Member Functions
| ImplicitFeature ()
| ImplicitFeature (const FAMILYMARKER &f, const TYPEMARKER &t)
const FAMILYMARKER & | getFamily () const
void | setFamily (const FAMILYMARKER &f)
const TYPEMARKER & | getType () const
void | setType (const TYPEMARKER &t)
LOCTYPE | getLoc () const
void | addPoint (const LOCTYPE *p, double weight=1.0)
void | reset ()
const std::vector< LOCTYPE > & | getDirs () const
std::vector< LOCTYPE > & | getDirs ()

## Detailed Description

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>
class RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >

Definition at line 50 of file Feature.h.

## Constructor & Destructor Documentation

## ◆ ImplicitFeature() [1/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::ImplicitFeature | ( |  | ) |
| inline

Definition at line 52 of file Feature.h.

## ◆ ImplicitFeature() [2/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::ImplicitFeature | ( | const FAMILYMARKER & | f,
|  | const TYPEMARKER & | t )
| inlineexplicit

Definition at line 53 of file Feature.h.

## Member Function Documentation

## ◆ addPoint()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::addPoint | ( | const LOCTYPE * | p,
|  | double | weight = 1.0 )
| inline

Definition at line 72 of file Feature.h.

## ◆ getDirs() [1/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

std::vector< LOCTYPE > & RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getDirs | ( |  | ) |
| inline

Definition at line 84 of file Feature.h.

## ◆ getDirs() [2/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const std::vector< LOCTYPE > & RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getDirs | ( |  | ) | const
| inline

Definition at line 83 of file Feature.h.

## ◆ getFamily()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const FAMILYMARKER & RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getFamily | ( |  | ) | const
| inline

Definition at line 56 of file Feature.h.

## ◆ getLoc()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

LOCTYPE RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getLoc | ( |  | ) | const
| inline

Definition at line 62 of file Feature.h.

References PRECONDITION.

## ◆ getType()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const TYPEMARKER & RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getType | ( |  | ) | const
| inline

Definition at line 59 of file Feature.h.

## ◆ reset()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::reset | ( |  | ) |
| inline

Definition at line 77 of file Feature.h.

## ◆ setFamily()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::setFamily | ( | const FAMILYMARKER & | f | ) |
| inline

Definition at line 57 of file Feature.h.

## ◆ setType()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ImplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::setType | ( | const TYPEMARKER & | t | ) |
| inline

Definition at line 60 of file Feature.h.

The documentation for this class was generated from the following file:

- Feature.h